com.dlsc.flexgantt.model.bookmarks

## Class Bookmark

- java.lang.Object
- - com.dlsc.flexgantt.util.NamedObject
  - - com.dlsc.flexgantt.model.paging.Page
    - - com.dlsc.flexgantt.model.bookmarks.Bookmark

- All Implemented Interfaces:
    INamedObject, Comparable<INamedObject>

      public class Bookmark
      extends Page

  A bookmark is basically a stored time point, time span and granularity that can be used to recreate a specific view in the Gantt chart. It also carries a name for displaying the bookmarks to the user. Bokmarks are added to bookmark models.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `DefaultBookmarkModel.addBookmark(Bookmark)`

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.util.NamedObject

      `PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bookmark(long timePoint, ITimeSpan span, IGranularity granularity, String name)` Constructs a new page.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IGranularity` | `getGranularity()` Returns the time granularity that was shown in the dateline when the bookmark was created.
    `long` | `getTimePoint()` Returns the time point where the bookmark is located.

    - ### Methods inherited from class com.dlsc.flexgantt.model.paging.Page

      `getTimeSpan`

    - ### Methods inherited from class com.dlsc.flexgantt.util.NamedObject

      `addPropertyChangeListener, compareTo, getChangeSupport, getName, removePropertyChangeListener, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bookmark

          public Bookmark(long timePoint,
                          ITimeSpan span,
                          IGranularity granularity,
                          String name)

      Constructs a new page.
      Parameters:
        `span` - the time span of the dateline that was used when the bookmark was created
        `timePoint` - the time point where the bookmark is located
        `granularity` - the granularity shown in the timeline when the bookmark was created
        `name` - the name used in the user interface when displaying the page
      Since:
        1.0

  - ### Method Detail

    - #### getGranularity

          public IGranularity getGranularity()

      Returns the time granularity that was shown in the dateline when the bookmark was created.
      Returns:
        the granularity of the dateline when the bookmark was created
      Since:
        1.0

    - #### getTimePoint

          public long getTimePoint()

      Returns the time point where the bookmark is located.
      Returns:
        the time point of the bookmark
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.